## orthanc-webviewer 2.1

=== debian/changelog ===
orthanc-webviewer (2.1-1) unstable; urgency=medium

  * New upstream version.
  * Upgrade Cornerstone version: 0.7.1 to 0.8.4

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 10 Dec 2015 15:01:19 +0100

orthanc-webviewer (2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 04 Dec 2015 17:13:12 +0100

orthanc-webviewer (1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 03 Aug 2015 09:49:56 +0200

orthanc-webviewer (1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #779325)
  * Fix of debian/copyright.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 03 Jul 2015 13:42:36 +0200
