=== debian/control ===
Source: orthanc-webviewer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Standards-Version: 3.9.6
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libboost-all-dev,
               libgdcm2-dev,
               libgtest-dev (>= 1.6.0),
               libjpeg-dev,
               libjs-jquery-ui,
               libjs-jquery-ui-theme-base,
               libjsoncpp-dev,
               libpng-dev,
               libsqlite3-dev,
               orthanc-dev (>= 0.9.5),
               unzip,
               uuid-dev,
               yui-compressor,
               zlib1g-dev
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc-webviewer/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc-webviewer/trunk/
Homepage: http://www.orthanc-server.com/static.php?page=web-viewer

Package: orthanc-webviewer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, orthanc (>= 0.9.5)
Description: Web viewer of medical images for Orthanc
 Orthanc Web Viewer is a plugin to Orthanc, a lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends Orthanc with an integrated
 Web viewer of DICOM images.
