## orthanc-webviewer 2.2

=== debian/changelog ===
orthanc-webviewer (2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 28 Jun 2016 15:20:00 +0200
