=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
                libboost-all-dev,
@@ -21,7 +21,7 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc-webviewer/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc-webviewer/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc-webviewer/trunk/
 Homepage: http://www.orthanc-server.com/static.php?page=web-viewer
