=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
 export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '-' -f 1)
 export TARGET := libOrthancWebViewer.so
+
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 %:
 	dh $@ --parallel --builddirectory=Build
