=== debian/watch ===
version=3
opts="downloadurlmangle=s/\/browse\.php\?path=//g" \
http://www.orthanc-server.com/browse.php?path=/plugin-webviewer downloads/get\.php\?path=/plugin-webviewer/OrthancWebViewer-(\d\S*)\.tar\.gz
