## orthanc-webviewer 2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
+# Copyright (C) 2017 Osimis, Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -20,7 +21,7 @@
 
 project(OrthancWebViewer)
 
-set(ORTHANC_WEBVIEWER_VERSION "2.2")
+set(ORTHANC_WEBVIEWER_VERSION "2.3")
 
 # Parameters of the build
 set(STATIC_BUILD OFF CACHE BOOL "Static build of the third-party libraries (necessary for Windows)")
@@ -40,6 +41,7 @@
 mark_as_advanced(USE_GTEST_DEBIAN_SOURCE_PACKAGE)
 
 set(ORTHANC_ROOT ${CMAKE_SOURCE_DIR}/Orthanc)
+set(ORTHANC_DISABLE_PATCH ON)  # No need for the "patch" command-line tool
 include(CheckIncludeFiles)
 include(CheckIncludeFileCXX)
 include(CheckLibraryExists)
@@ -57,7 +59,7 @@
 include(${CMAKE_SOURCE_DIR}/Resources/CMake/JavaScriptLibraries.cmake)
 
 
-# Check that the Orthanc SDK headers are available or download them
+# Check that the Orthanc SDK headers are available
 if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
   include_directories(${ORTHANC_ROOT}/Sdk-0.9.5)
 else ()
@@ -89,6 +91,7 @@
   )
 
 add_definitions(
+  -DORTHANC_ENABLE_PUGIXML=0
   -DORTHANC_SQLITE_STANDALONE=1
   )
 
@@ -124,6 +127,7 @@
   -DORTHANC_ENABLE_MD5=0
   -DORTHANC_ENABLE_BASE64=0
   -DORTHANC_ENABLE_LOGGING=0
+  -DORTHANC_SANDBOXED=0
   )
 
 set(CORE_SOURCES
@@ -145,8 +149,8 @@
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/StatementId.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/StatementReference.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/SQLite/Transaction.cpp
+  ${CMAKE_SOURCE_DIR}/Orthanc/Core/SystemToolbox.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/Toolbox.cpp
-  ${CMAKE_SOURCE_DIR}/Orthanc/Core/Uuid.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/DicomFormat/DicomMap.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/DicomFormat/DicomTag.cpp
   ${CMAKE_SOURCE_DIR}/Orthanc/Core/DicomFormat/DicomValue.cpp
