=== debian/changelog ===
orthanc-webviewer (2.3-2) unstable; urgency=medium

  * Team upload
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * Standards-Version: 4.1.1
  * debhelper 10
  * Remove myself from Uploaders
  * d/watch: use https

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2017 15:46:09 +0100

orthanc-webviewer (2.3-1) unstable; urgency=medium

  * New upstream version.
  * Fix the configuration button that did not work in previous releases
    due to an incompatibility in the version of jquery-ui.
  * Upgrade Cornerstone version: 0.8.4 to 0.11.0.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 20 Jul 2017 12:42:34 +0200

orthanc-webviewer (2.2-3) unstable; urgency=medium

  * Fix FTBFS with libsqlite3-dev >= 3.19.0. Closes: #867789

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 10 Jul 2017 11:57:21 +0200

orthanc-webviewer (2.2-2) unstable; urgency=medium

  [ Tiago Sturmer Daitx <tiago.daitx@canonical.com> ]
  * Fix linking of libraries. Closes: #857355

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 17 Mar 2017 16:47:23 +0100
