=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,15 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable
+
 export JAVASCRIPT_LIBS := Build/javascript-libs
-export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '-' -f 1)
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
 export TARGET := libOrthancWebViewer.so
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 %:
-	dh $@ --parallel --builddirectory=Build
+	dh $@ --builddirectory=Build
 
 CMAKE_EXTRA_FLAGS += \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
@@ -18,22 +19,31 @@
 	-DCMAKE_BUILD_TYPE=""   # The build type must be left empty, see #711515
 
 override_dh_auto_configure:
+        # Place the third-party JavaScript libraries at the location
+        # expected by CMake
 	mkdir -p ${JAVASCRIPT_LIBS}/fonts
 	mkdir -p ${JAVASCRIPT_LIBS}/images
 
-        # Place the jquery and jquery-ui libraries from Debian
+        # Use the jquery library from Debian
 	cp /usr/share/javascript/jquery/jquery.min.js ${JAVASCRIPT_LIBS}/jquery.js
-	cp /usr/share/javascript/jquery-ui/jquery-ui.min.js ${JAVASCRIPT_LIBS}
-	cp /usr/share/javascript/jquery-ui-themes/base/jquery-ui.min.css ${JAVASCRIPT_LIBS}
-	cp /usr/share/javascript/jquery-ui-themes/base/images/* ${JAVASCRIPT_LIBS}/images
-	touch  ${JAVASCRIPT_LIBS}/jquery-ui.theme.min.css
 
-        # Place the third-party JavaScript libraries at the location
-        # expected by CMake
-	yui-compressor debian/JS/cornerstone-0.8.4/cornerstone.js > \
+        # The jsPanel-2.3.3 toolbox used in the Orthanc Web viewer is
+        # not compatible with the version of the "jquery-ui" package
+        # shipped with Debian. We need to force the version of jquery-ui.
+	yui-compressor debian/JS/jquery-ui-1.11.3/jquery-ui.js > \
+		${JAVASCRIPT_LIBS}/jquery-ui.min.js
+	yui-compressor debian/JS/jquery-ui-1.11.3/jquery-ui.css > \
+		${JAVASCRIPT_LIBS}/jquery-ui.min.css
+	yui-compressor debian/JS/jquery-ui-1.11.3/jquery-ui.theme.css > \
+		${JAVASCRIPT_LIBS}/jquery-ui.theme.min.css
+	cp debian/JS/jquery-ui-1.11.3/images/* ${JAVASCRIPT_LIBS}/images
+
+        # Note: We don't minify the Cornerstone library, as the
+        # version of yui-compressor shipped by Debian Sid crashes on it
+	cp debian/JS/cornerstone-0.11.0/cornerstone.js \
 		${JAVASCRIPT_LIBS}/cornerstone.min.js
-	yui-compressor debian/JS/cornerstone-0.8.4/cornerstone.css > \
-		${JAVASCRIPT_LIBS}/cornerstone.min.css
+	cp debian/JS/cornerstone-0.11.0/cornerstone.css \
+		${JAVASCRIPT_LIBS}/cornerstone.css
 
 	yui-compressor debian/JS/jsPanel-2.3.3/jquery.jspanel.js > \
 		${JAVASCRIPT_LIBS}/jquery.jspanel.min.js
