=== debian/changelog ===
orthanc-webviewer (2.4-2build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:50:21 +0000

orthanc-webviewer (2.4-2) unstable; urgency=medium

  * Set -DNDEBUG to disable assertion checking

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 Apr 2018 13:48:22 +0200

orthanc-webviewer (2.4-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 24 Apr 2018 11:06:43 +0200
