=== debian/control ===
--- 
+++ 
@@ -19,10 +19,10 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-webviewer.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-webviewer.git
-Homepage: http://www.orthanc-server.com/static.php?page=web-viewer
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
+Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
+Homepage: https://www.orthanc-server.com/static.php?page=web-viewer
 
 Package: orthanc-webviewer
 Architecture: any
