=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,11 @@
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
+# Disable assert() checking from upstream project, for best performance
+# https://lists.debian.org/debian-med/2018/04/msg00132.html
+export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
+export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+
 %:
 	dh $@ --builddirectory=Build
 
@@ -15,10 +20,14 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DSTANDALONE_BUILD:BOOL=ON \
-        -DUSE_GTEST_DEBIAN_SOURCE_PACKAGE:BOOL=ON \
-	-DCMAKE_BUILD_TYPE=""   # The build type must be left empty, see #711515
+        -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
+	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
 override_dh_auto_configure:
+        # Put 3rd party packages where the cmake build system expects them
+	mkdir -p ThirdPartyDownloads
+	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.3.2.tar.gz . )
+
         # Place the third-party JavaScript libraries at the location
         # expected by CMake
 	mkdir -p ${JAVASCRIPT_LIBS}/fonts
@@ -68,6 +77,10 @@
 override_dh_auto_test:
 	( cd Build; ./UnitTests )
 
+override_dh_clean:
+	rm -rf ThirdPartyDownloads
+	dh_clean
+
 override_dh_auto_install:
 	cp Build/${TARGET} Build/${TARGET}.${UPSTREAM_VERSION}
 	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib
@@ -77,6 +90,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz
