## orthanc-webviewer 2.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Orthanc - A Lightweight, RESTful DICOM Store
 # Copyright (C) 2012-2016 Sebastien Jodogne, Medical Physics
 # Department, University Hospital of Liege, Belgium
-# Copyright (C) 2017-2018 Osimis S.A., Belgium
+# Copyright (C) 2017-2019 Osimis S.A., Belgium
 #
 # This program is free software: you can redistribute it and/or
 # modify it under the terms of the GNU Affero General Public License
@@ -21,13 +21,13 @@
 
 project(OrthancWebViewer)
 
-set(ORTHANC_WEBVIEWER_VERSION "2.4")
+set(ORTHANC_PLUGIN_VERSION "2.5")
 
-if (ORTHANC_WEBVIEWER_VERSION STREQUAL "mainline")
+if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "1.3.2")
+  set(ORTHANC_FRAMEWORK_VERSION "1.5.5")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
@@ -88,6 +88,10 @@
     )
 endif()
 
+add_definitions(
+  -DORTHANC_ENABLE_LOGGING_PLUGIN=1
+  )
+
 EmbedResources(
   ORTHANC_EXPLORER  ${CMAKE_SOURCE_DIR}/Resources/OrthancExplorer.js
   JAVASCRIPT_LIBS   ${JAVASCRIPT_LIBS_DIR}
@@ -104,7 +108,7 @@
   execute_process(
     COMMAND 
     ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
-    ${ORTHANC_WEBVIEWER_VERSION} "OrthancWebViewer" OrthancWebViewer.dll "Web viewer of medical images for Orthanc"
+    ${ORTHANC_PLUGIN_VERSION} "OrthancWebViewer" OrthancWebViewer.dll "Web viewer of medical images for Orthanc"
     ERROR_VARIABLE Failure
     OUTPUT_FILE ${AUTOGENERATED_DIR}/Version.rc
     )
@@ -152,13 +156,13 @@
 
 target_link_libraries(OrthancWebViewer ${GDCM_LIBRARIES})
 
-message("Setting the version of the library to ${ORTHANC_WEBVIEWER_VERSION}")
+message("Setting the version of the library to ${ORTHANC_PLUGIN_VERSION}")
 
-add_definitions(-DORTHANC_WEBVIEWER_VERSION="${ORTHANC_WEBVIEWER_VERSION}")
+add_definitions(-DORTHANC_PLUGIN_VERSION="${ORTHANC_PLUGIN_VERSION}")
 
 set_target_properties(OrthancWebViewer PROPERTIES 
-  VERSION ${ORTHANC_WEBVIEWER_VERSION} 
-  SOVERSION ${ORTHANC_WEBVIEWER_VERSION})
+  VERSION ${ORTHANC_PLUGIN_VERSION} 
+  SOVERSION ${ORTHANC_PLUGIN_VERSION})
 
 install(
   TARGETS OrthancWebViewer
