=== debian/changelog ===
orthanc-webviewer (2.5-2ubuntu4) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:55:08 +0100

orthanc-webviewer (2.5-2ubuntu3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:22:30 +0100

orthanc-webviewer (2.5-2ubuntu2) focal; urgency=medium

  * No-change rebuild against libboost-regex1.71.0-icu65

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 19:03:53 +0000

orthanc-webviewer (2.5-2ubuntu1) focal; urgency=medium

  * Use orthanc from the archive, rather than included copy of code.
  * Cherrypick ftbfs from bitbucket.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 06 Feb 2020 02:03:32 +0000

orthanc-webviewer (2.5-2build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 02 Feb 2020 20:24:09 +0100

orthanc-webviewer (2.5-2) unstable; urgency=medium

  * Fix FTBFS: linking with gdcm. Closes: #944722

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 14 Nov 2019 12:10:53 +0100

orthanc-webviewer (2.5-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 Feb 2019 21:21:24 +0100

orthanc-webviewer (2.4-3) unstable; urgency=medium

  * Updated d/upstream/metadata with new reference paper about Orthanc
  * Moved plugin binaries from "/usr/lib" to "/usr/lib/orthanc"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 28 Jan 2019 14:15:22 +0100
