=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: orthanc-webviewer
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 10),
+               devscripts,
+               curl,
                libboost-all-dev,
-               libgdcm2-dev,
+               libgdcm-dev,
                libgtest-dev,
                libjpeg-dev,
                libjs-jquery-ui,
@@ -19,7 +22,7 @@
                uuid-dev,
                yui-compressor,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
 Homepage: https://www.orthanc-server.com/static.php?page=web-viewer
