=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,9 @@
 export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
 
+MIRROR=$(shell sed -n 's|.* \(http://[a-z./]*\) .*|\1|p' /etc/apt/sources.list | head -n1)
+FILENAME=$(shell apt-cache show orthanc | grep Filename | cut -d\  -f2 | head -n1 | sed 's|_[a-z0-9]*.deb|.dsc|')
+
 %:
 	dh $@ --builddirectory=Build
 
@@ -20,13 +23,16 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DSTANDALONE_BUILD:BOOL=ON \
+	-DORTHANC_FRAMEWORK_SOURCE=path \
+	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/ThirdPartyDownloads/orthanc \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p ThirdPartyDownloads
-	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.3.2.tar.gz . )
+	( cd ThirdPartyDownloads ; \
+	apt-get source orthanc || HOME=$(CURDIR)/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
 
         # Place the third-party JavaScript libraries at the location
         # expected by CMake
@@ -75,18 +81,19 @@
 	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	( cd Build; ./UnitTests )
+endif
 
 override_dh_clean:
 	rm -rf ThirdPartyDownloads
 	dh_clean
 
 override_dh_auto_install:
-	cp Build/${TARGET} Build/${TARGET}.${UPSTREAM_VERSION}
-	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib
+	dh_install Build/${TARGET}.${UPSTREAM_VERSION} usr/lib/orthanc
 
 override_dh_link:
-	dh_link usr/lib/${TARGET}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET}
+	dh_link usr/lib/orthanc/${TARGET}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET}
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS
