=== debian/changelog ===
orthanc-webviewer (2.6-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 27 May 2020 16:06:23 +0200
