=== debian/control ===
Source: orthanc-webviewer
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               libboost-all-dev,
               libgtest-dev,
               libjpeg-dev,
               libjs-jquery-ui,
               libjs-jquery-ui-theme-base,
               libjsoncpp-dev,
               libpng-dev,
               libsqlite3-dev,
               orthanc-dev (>= 0.9.5),
               unzip,
               uuid-dev,
               yui-compressor,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/orthanc-webviewer
Vcs-Git: https://salsa.debian.org/med-team/orthanc-webviewer.git
Homepage: https://www.orthanc-server.com/static.php?page=web-viewer

Package: orthanc-webviewer
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 1.7.1)
Description: Web viewer of medical images for Orthanc
 Orthanc Web Viewer is a plugin to Orthanc, a lightweight, RESTful Vendor
 Neutral Archive for medical imaging. It extends Orthanc with an integrated
 Web viewer of DICOM images.
