=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,6 @@
 export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
 
-MIRROR=$(shell sed -n 's|.* \(http://[a-z./]*\) .*|\1|p' /etc/apt/sources.list | head -n1)
-FILENAME=$(shell apt-cache show orthanc | grep Filename | cut -d\  -f2 | head -n1 | sed 's|_[a-z0-9]*.deb|.dsc|')
-
 %:
 	dh $@ --builddirectory=Build
 
@@ -23,16 +20,13 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DSTANDALONE_BUILD:BOOL=ON \
-	-DORTHANC_FRAMEWORK_SOURCE=path \
-	-DORTHANC_FRAMEWORK_ROOT=$(CURDIR)/ThirdPartyDownloads/orthanc \
         -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
 	-DCMAKE_BUILD_TYPE=None   # The build type must be set to None, see #711515
 
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
 	mkdir -p ThirdPartyDownloads
-	( cd ThirdPartyDownloads ; \
-	apt-get source orthanc || HOME=$(CURDIR)/ThirdPartyDownloads dget --allow-unauthenticated $(MIRROR)/$(FILENAME) ; mv orthanc-* orthanc )
+	( cd ThirdPartyDownloads; cp ../debian/ThirdPartyDownloads/Orthanc-1.7.0.tar.gz . )
 
         # Place the third-party JavaScript libraries at the location
         # expected by CMake
